ColorMapPreviewDialog Class Reference

`#include <ColorMapPreviewDialog.h>`

Inheritance diagram for ColorMapPreviewDialog:

## Public Slots

void | updatePreview (const QString &)

## Public Member Functions

| ColorMapPreviewDialog (QWidget *parent=0, Qt::WFlags flags=0)
Public Member Functions inherited from ExtensibleFileDialog
| ExtensibleFileDialog (QWidget *parent=0, bool extended=true, Qt::WFlags flags=0)
| Constructor. More...
bool | isExtendable ()
| Tells weather the dialog has a valid extension widget. More...
bool | isExtended ()
void | setEditableFilter (bool on=true)
| Enables/Disables editing of the file type filter. More...
void | setExtended (bool extended)
| Toggle extension widget on/off. More...
void | setExtensionWidget (QWidget *extension)
| Set the extension widget to be displayed when the user presses the toggle button. More...
void | setExtentionToggleButtonText (const QString &text)
| Sets the text to be displayed in the toggle button. More...

## Private Attributes

QLabel * | d_preview_label

## Additional Inherited Members

Protected Attributes inherited from ExtensibleFileDialog
QPushButton * | d_extension_toggle
| Button for toggling display of extension on/off. More...

## Constructor & Destructor Documentation

## ColorMapPreviewDialog()

ColorMapPreviewDialog::ColorMapPreviewDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | flags = `0`
| ) |  |

References d_preview_label, ExtensibleFileDialog::setExtended(), ExtensibleFileDialog::setExtensionWidget(), ExtensibleFileDialog::setExtentionToggleButtonText(), and updatePreview().

## Member Function Documentation

## updatePreview

void ColorMapPreviewDialog::updatePreview | ( | const QString & | fileName | ) |

slot

References d_preview_label, and Graph3D::openColorMapFile().

Referenced by ColorMapPreviewDialog(), and Plot3DDialog::pickDataColorMap().

## Member Data Documentation

## d_preview_label

QLabel* ColorMapPreviewDialog::d_preview_label

private

Referenced by ColorMapPreviewDialog(), and updatePreview().

The documentation for this class was generated from the following files:

- qtiplot/src/plot3D/ColorMapPreviewDialog.h
- qtiplot/src/plot3D/ColorMapPreviewDialog.cpp